version: '3.8'

networks:
  netdata:
  proxy:
    external: true

# volumes:
#   netdataconfig:
#   netdatalib:
#   netdatacache:

services:

  netdata:
    image: "{{netdata_container_image}}:{{netdata_container_version}}"
    restart: unless-stopped
    pid: host
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
      - netdata
    cap_add:
      - SYS_PTRACE
      - SYS_ADMIN
    security_opt:
      - apparmor:unconfined
    env_file: ".env" 
    volumes:
      # - netdataconfig:/etc/netdata
      # - netdatalib:/var/lib/netdata
      # - netdatacache:/var/cache/netdata

      - /:/host/root:ro,rslave
      - /etc/passwd:/host/etc/passwd:ro
      - /etc/group:/host/etc/group:ro
      - /etc/localtime:/etc/localtime:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /etc/os-release:/host/etc/os-release:ro
      - /var/log:/host/var/log:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro

      - ./etc/netdata/health.d:/etc/netdata/health.d
      
    hostname: {{netdata_service_name}}
